/*
 Homescroll CSS
 Last update : 14.1.26
*/

/* HomeScroll - scroll lock (Safari safe) */
html.hs-lock,
body.hs-lock {
    overflow: hidden !important;
    height: 100% !important;
}
body.hs-lock {
    position: fixed !important;
    width: 100% !important;
}

.has-home-scroll {
    position: relative;
    overflow: hidden;
}
.home-scroll {
    position: absolute;
    inset: 0;
    display: block;
    z-index: 3;
    pointer-events: none;
}

.home-scroll__slide {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    text-align: left;
    opacity: 0;
    transform: translateY(12px);
    transition: opacity 400ms ease, transform 400ms ease;
    padding: var(--padding-md) var(--padding-md) var(--padding-md) var(--padding-xl);
}
.home-scroll__slide.is-active {
    opacity: 1;
    transform: translateY(0);
}
.home-scroll__slide h1 {
    font-size: var(--fs-title-xxl-home);
    color: var(--color-light);
    line-height: var(--line-height-xs);
}
.home-scroll__content {
    max-width: 80%;
    color: var(--color-light);
}
.home-scroll__content h2 {
    font-size: var(--fs-title-xxl);
    color: var(--color-light);
    line-height: var(--line-height-xs);
}
.home-scroll__content p {
    font-size: var(--fs-lg);
    line-height: 1.2;
}
.home-scroll__logo img {
    width: var(--width-home-logo-cover);
    height: auto;
}
